---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libatExit.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _getJavaVMfunctions, symObjAddr: 0x0, symBinAddr: 0x34E0, symSize: 0xCC }
  - { offsetInCU: 0x3F, offset: 0x3F, size: 0x8, addend: 0x0, symName: _GetDefaultJavaVMInitArgs, symObjAddr: 0x6BE0, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x82, offset: 0x82, size: 0x8, addend: 0x0, symName: _GetCreatedJavaVMs, symObjAddr: 0x6BE8, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x1A6, offset: 0x1A6, size: 0x8, addend: 0x0, symName: _CreateJavaVM, symObjAddr: 0x6BF0, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x1EE, offset: 0x1EE, size: 0x8, addend: 0x0, symName: _jvm, symObjAddr: 0x6C00, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x203, offset: 0x203, size: 0x8, addend: 0x0, symName: _using_system_exit, symObjAddr: 0x6BF8, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x23F, offset: 0x23F, size: 0x8, addend: 0x0, symName: _getJavaVMfunctions, symObjAddr: 0x0, symBinAddr: 0x34E0, symSize: 0xCC }
  - { offsetInCU: 0x2A0, offset: 0x2A0, size: 0x8, addend: 0x0, symName: _Java_TestAtExit_00024Tester_setUsingSystemExit, symObjAddr: 0xCC, symBinAddr: 0x35AC, symSize: 0x10 }
  - { offsetInCU: 0x31D, offset: 0x31D, size: 0x8, addend: 0x0, symName: _at_exit_handler, symObjAddr: 0xDC, symBinAddr: 0x35BC, symSize: 0x668 }
  - { offsetInCU: 0x65A, offset: 0x65A, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x744, symBinAddr: 0x3C24, symSize: 0x40 }
...
